> For the complete documentation index, see [llms.txt](https://developer.kizen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.kizen.com/docs/integrations-and-apps/integrations/amazon-s3/troubleshoot-amazon-s3.md).

# Troubleshoot Amazon S3

Find solutions to common issues when working with Amazon S3 files directly from Agentic Workflows in Kizen.

{% hint style="success" %}
**Audience:** Admins, Developers, Solution Architects

**Purpose:** Describes troubleshooting methods for issues with the Amazon S3 integration
{% endhint %}

The following table presents solutions to common issues with the Amazon S3 integration. For additional help, see [Amazon Simple Storage Service documentation](https://docs.aws.amazon.com/s3/).

<table data-search="false"><thead><tr><th>Issue</th><th>Cause</th><th>What to do</th></tr></thead><tbody><tr><td>You received an <code>InvalidAccessKeyId</code> or <code>SignatureDoesNotMatch</code> error.</td><td>Your AWS access key was rotated or revoked and needs to be updated.</td><td>Create a new access key, and update your integration secret.</td></tr><tr><td>You received a <code>ValueError</code> error.</td><td>Your integration secret is missing necessary information.</td><td>Review and update your integration secret.</td></tr><tr><td>You received an <code>AccessDenied</code> error for a specific AWS action like <code>s3:ListBucketVersions</code> or <code>s3:GetObject</code>.</td><td>The IAM policy attached to the integration user is missing the permission for this action.</td><td>Review and update your IAM policy.</td></tr><tr><td>You received a <code>file_too_large</code> error from the Get File Content action.</td><td>The file is larger than 250 MB.</td><td>To retrieve a copy of the file, use a download link from the Generate Presigned URL action instead.</td></tr><tr><td>You received a <code>file_too_large</code> error from the Copy File action.</td><td>The file is larger than 250 MB, and the source and destination require different credentials.</td><td>Obtain a single credential that can read from and write to the source and destination.</td></tr><tr><td>You received an <code>output_too_large</code> error from the List Files action.</td><td>The result set would have exceeded 50,000 characters.</td><td>Provide a more specific value for the <strong>Folder</strong> input. Use the action's <strong>Name Contains</strong> and <strong>Modified After</strong> filters to target the results. Lower the maximum numbers of results with the <strong>Max Results</strong> input. Don't set the <strong>Fetch All Pages</strong> input to <code>yes</code> to combine all the pages of results into a single output. </td></tr><tr><td>The link from the Generate Presigned URL action didn't work.</td><td>The link expired.</td><td>Specify a longer duration in the <strong>Expires In</strong> input.</td></tr></tbody></table>

***

## What's Next

See [Amazon S3](/docs/integrations-and-apps/integrations/amazon-s3.md) for a high-level discussion about the capabilities and technical features of the Amazon S3 integration.

<details>

<summary><strong>Related Topics</strong></summary>

* [Amazon S3](/docs/integrations-and-apps/integrations/amazon-s3.md)
* [Set Up Amazon S3 in Kizen](/docs/integrations-and-apps/integrations/amazon-s3/set-up-amazon-s3-in-kizen.md)
* [Work with Amazon S3 Files in an Agentic Workflow](/docs/integrations-and-apps/integrations/amazon-s3/work-with-amazon-s3-files-in-an-agentic-workflow.md)

</details>

***

*Amazon Web Services, AWS, Amazon Simple Storage Service, and Amazon S3 are trademarks of Amazon.com, Inc. or its affiliates. Kizen's Amazon S3 integration is not affiliated with, sponsored by, or endorsed by Amazon.com, Inc.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.kizen.com/docs/integrations-and-apps/integrations/amazon-s3/troubleshoot-amazon-s3.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
